---
# OctoDNS configuration for CultRoll-only zones

manager:
  max_workers: 2

providers:
  config:
    class: octodns.provider.yaml.YamlProvider
    directory: ./zones
    default_ttl: 300
    enforce_order: true
    escaped_semicolons: false

  cloudflare:
    class: octodns_cloudflare.CloudflareProvider
    token: env/CLOUDFLARE_TOKEN

zones:
  cultroll.app.:
    sources:
      - config
    targets:
      - cloudflare

  cultroll.com.:
    sources:
      - config
    targets:
      - cloudflare

  cultroll.net.:
    sources:
      - config
    targets:
      - cloudflare

  cultroll.org.:
    sources:
      - config
    targets:
      - cloudflare
